Skip to main content
GET
/
v1
/
mocks
List mocks
curl --request GET \
  --url https://api-sandbox.featherhq.com/v1/mocks \
  --header 'x-api-key: <api-key>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "slug": "<string>",
      "name": "<string>",
      "description": "<string>",
      "default_status": 123,
      "default_response_body": {},
      "is_enabled": true,
      "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "public_url_path": "<string>",
      "scenarios": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "mock_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "priority": 123,
          "match_method": "<string>",
          "match_path_pattern": "<string>",
          "match_headers": {},
          "match_query": {},
          "match_body": {},
          "response_status": 123,
          "response_headers": {},
          "response_body": {},
          "delay_ms": 123,
          "is_enabled": true,
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z"
        }
      ]
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Authorizations

x-api-key
string
header
required

Query Parameters

limit
integer
default:50
Required range: 1 <= x <= 200
cursor
string | null

Response

Successful Response

items
MockResponse · object[]
required
has_more
boolean
required
next_cursor
string | null